r41115 - /scripts/repack.stub

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Mon Aug 3 02:05:43 UTC 2009


Author: ryan52-guest
Date: Mon Aug  3 02:05:37 2009
New Revision: 41115

URL: http://svn.debian.org/wsvn/?sc=1&rev=41115
Log:
convert to POD

Modified:
    scripts/repack.stub

Modified: scripts/repack.stub
URL: http://svn.debian.org/wsvn/scripts/repack.stub?rev=41115&op=diff
==============================================================================
--- scripts/repack.stub (original)
+++ scripts/repack.stub Mon Aug  3 02:05:37 2009
@@ -1,25 +1,64 @@
 #!/bin/sh
 
-# put this in debian/repack.stub and add "debian sh debian/repack.stub" to
-# the end of the line in debian/watch. you will also need to add a version
-# mangle to debian/watch.
+: <<=cut
+=pod
 
-# then create a debian/repack.local. this is a shell script that is
-# sources under "set -e", so be careful to check returns codes.
+=head1 NAME
 
-# special functions:
-# rm is replaced by a function that does some magic ("rm -rv" by
-#    default), but also changes MANIFEST if $MANIFEST is 1
-# mv is replaced by a function that just does mv (by default), but
-#    also changes MANIFEST if $MANIFEST is 1
-# requires_version is there for future usage for requiring certain
-#    versions of the script
+repack.stub - script to repack upstream tarballs from uscan
 
-# special variables:
-# SUFFIX (defaults to +dfsg)
-# RM_OPTS (defaults to -vrf)
-# MANIFEST (defaults to 0, set to 1 to turn on. this will manipulate
-#           MANIFEST files in CPAN tarballs.)
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sources under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=back
+
+=cut
 
 if [ -z "$REPACK_SH" ]; then
     if [ -f ../../scripts/repack.sh ]; then




More information about the Pkg-perl-cvs-commits mailing list